Bug 596584 - sound-juicer crashes after extracting the last track of a CD
sound-juicer crashes after extracting the last track of a CD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 23:08 EDT by Braden McDaniel
Modified: 2011-06-27 12:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:46:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2010-05-26 23:08:49 EDT
Description of problem:
sound-juicer crashes after extracting the last track of a CD.  This appears to be happening in pulseaudio code.

Version-Release number of selected component (if applicable):
0.9.21-6.fc13

How reproducible:
Consistently.

Additional info:

Backtrace:

#0  pa_atomic_load (o=0x2323232323232323) at pulsecore/atomic.h:57
No locals.
#1  pa_operation_unref (o=0x2323232323232323) at pulse/operation.c:68
        __func__ = "pa_operation_unref"
        __PRETTY_FUNCTION__ = "pa_operation_unref"
#2  0x00007fbde023f07e in stream_drain_cb (s=0x20ee010, 
    success=<value optimized out>, userdata=0x21016f0) at pulse.c:658
        p = 0x1ee0d80
        out = 0x0
        err = 0
        __PRETTY_FUNCTION__ = "stream_drain_cb"
#3  0x00000030d24251d5 in pa_stream_simple_ack_callback (
    pd=<value optimized out>, command=<value optimized out>, 
    tag=<value optimized out>, t=<value optimized out>, userdata=0x207a4e0)
    at pulse/stream.c:2046
        cb = <value optimized out>
        o = 0x68
        success = <value optimized out>
        __func__ = "pa_stream_simple_ack_callback"
        __PRETTY_FUNCTION__ = "pa_stream_simple_ack_callback"
#4  0x00007fbddbdd7c03 in run_action (pd=0x7fbdd0001410, r=0x207a960, command=
    2, ts=0x7fbdd00035c0) at pulsecore/pdispatch.c:274
        callback = 0x30d2425180 <pa_stream_simple_ack_callback>
        userdata = <value optimized out>
        tag = 9
        __func__ = "run_action"
        __PRETTY_FUNCTION__ = "run_action"
#5  0x00007fbddbdd8359 in pa_pdispatch_run (pd=0x7fbdd0001410, 
    packet=<value optimized out>, creds=0x7fbdd0000ae0, userdata=0x2074af0)
    at pulsecore/pdispatch.c:326
        r = <value optimized out>
        tag = 9
        command = 2
        ts = 0x7fbdd00035c0
        ret = -1
        __func__ = "pa_pdispatch_run"
        __PRETTY_FUNCTION__ = "pa_pdispatch_run"
#6  0x00000030d2410dad in pstream_packet_callback (p=<value optimized out>, 
    packet=0x7fbdd0001490, creds=0x7fbdd0000ae0, userdata=0x2074af0)
    at pulse/context.c:346
        c = 0x2074af0
        __func__ = "pstream_packet_callback"
        __PRETTY_FUNCTION__ = "pstream_packet_callback"
#7  0x00007fbddbddc13c in do_read (p=0x7fbdd0000990) at pulsecore/pstream.c:816
        release_memblock = 0x0
        d = <value optimized out>
        l = <value optimized out>
        r = <value optimized out>
#8  do_something (p=0x7fbdd0000990) at pulsecore/pstream.c:184
        __func__ = "do_something"
        __PRETTY_FUNCTION__ = "do_something"
#9  0x00000030d241db4c in dispatch_pollfds (m=0x2074160)
    at pulse/mainloop.c:688
        e = 0x7fbdd0000940
        k = <value optimized out>
        r = <value optimized out>
#10 pa_mainloop_dispatch (m=0x2074160) at pulse/mainloop.c:933
        dispatched = <value optimized out>
        __func__ = "pa_mainloop_dispatch"
        __PRETTY_FUNCTION__ = "pa_mainloop_dispatch"
#11 0x00000030d241ded8 in pa_mainloop_iterate (m=0x2074160, 
    block=<value optimized out>, retval=0x0) at pulse/mainloop.c:964
        r = 1
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#12 0x00000030d241df80 in pa_mainloop_run (m=0x2074160, retval=0x0)
    at pulse/mainloop.c:979
        r = <value optimized out>
#13 0x00000030d242ca0b in thread (userdata=0x2025a80)
    at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 
    18446744073709551615 <repeats 15 times>}}
#14 0x00007fbddbde9878 in internal_thread_func (userdata=0x1f9d930)
    at pulsecore/thread-posix.c:72
        t = 0x1f9d930
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#15 0x00000030c4c07761 in start_thread (arg=0x7fbdd7947710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fbdd7947710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140453342377744, 
    4313771564829697151, 209459417504, 140453342378448, 0, 3, 
    -4276670001507015553, 4304335010204935295}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
#16 0x00000030c48e150d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.
Comment 1 Bug Zapper 2011-06-02 09:19:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 12:46:06 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.